
Figure - Bug #118974
【AF】【EVT3】【Monkey】116版本Monkey测试74小时后，异常停止
2023-07-04 16:26 - CD TEST-方永红

Status: CLOSED Start date: 2023-07-04

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 116

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试环境】

中控0092

副屏116

【测试情况】

116版本Monkey测试74小时后，异常停止，设备熄屏

History

#1 - 2023-07-04 16:29 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118974

#2 - 2023-07-05 10:01 - CD FW 曹覃刚

■ 我的分析

日志打包有问题，从180~300，120个日志包都存在问题，无法继续分析

FSEM_000148_0180_1115072725

....

FSEM_000148_0300_1117190807

日志打包参考截图，日志是缺失的

■ 我的分析

需要System组的同学先处理日志缺失问题

#3 - 2023-07-05 10:01 - CD FW 曹覃刚

- File Screenshot from 2023-07-05 09-54-03.png added

- Category changed from CD-FW to SYSTEM

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭
#4 - 2023-07-06 16:31 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

■目前进展

查看日志FSEM_000148_0180_1115072725到FSEM_000148_0300_1117190807logcat日志一直都只有一个文件000148_persist_04607_221115_065813.log.ing

查看prop.txt文件，[init.svc.tlogdPersist]: [running]也没有发现因为存储满导致tlog停止的属性，说明tlog是在运行的，只是没有继续写文件

这个需要现场才能继续分析具体原因

■下一步计划

如果出现类似情况现场分析

同时添加retry机制，避免这种情况出现

#5 - 2023-07-11 09:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213084 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

SYSTEM :Tlog: Add tlog recovery mechanism1. Restart tlog during storage recovery2. When tlog exits abnormally, restart tlogTC-RID: 1200-0800102IssueID:

TS-R-BUG-118974Change-Id: I468b47044ba00d4565057588f83767cb8d5f75fd

#6 - 2023-07-11 16:29 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD SYSTEM-夏旭 to CD TEST-方永红

【目前进展】

目前有关tlog没有抓到日志的问题，除了存储满了会停止tlog，如果还出现没有日志的情况麻烦保留现场

tlog异常停止恢复机制已经添加，恢复存储之后tlog会重启继续抓取

【下一步计划】

相关恢复机制已经添加，测试进行复测

#7 - 2023-07-13 21:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214538 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

SYSTEM :Tlog: Add tlog recovery mechanism1. Restart tlog during storage recovery2. When tlog exits abnormally, restart tlogTC-RID: 1200-0800102IssueID:

TS-R-BUG-118974Change-Id: I468b47044ba00d4565057588f83767cb8d5f75fd(cherry picked from commit d91c27ccbba1d4948d067194b616089d5c7b7083)
#8 - 2023-08-24 16:55 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#9 - 2023-08-25 13:43 - 物联网测试组_TSCD 王维

0136版本3台设备monkey跑测约5天未复现

#10 - 2023-09-06 14:05 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

已使用0140和0142版本联系跑测超过70h，同时跑测设备3台均未复现bug，故关闭bug

#11 - 2023-09-06 14:06 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#12 - 2023-09-06 14:06 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

Screenshot from 2023-07-05 09-54-03.png 14.5 KB 2023-07-05 CD FW 曹覃刚
